Last Comment Bug 482162 - Intermittent: test_value_storage.html timed out on WINNT 5.2 mozilla-central unit test
: Intermittent: test_value_storage.html timed out on WINNT 5.2 mozilla-central ...
Status: VERIFIED FIXED
[T.M.="FIREFOX_3_7a5"]
: intermittent-failure
Product: Core
Classification: Components
Component: CSS Parsing and Computation (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch)
:
Mentors:
Depends on:
Blocks: 438871 486254 744279
  Show dependency treegraph
 
Reported: 2009-03-08 18:56 PDT by Matthew Gregan [:kinetik]
Modified: 2012-11-25 19:31 PST (History)
4 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
make mochitest print time for each test (1.01 KB, patch)
2009-04-09 17:32 PDT, David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch)
no flags Details | Diff | Review
make mochitest print time for each test [Checked in: Comment 8] (1.14 KB, patch)
2010-06-05 09:49 PDT, David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch)
ted: review+
Details | Diff | Review

Description Matthew Gregan [:kinetik] 2009-03-08 18:56:08 PDT
test_value_storage.html failed on WINNT 5.2 mozilla-central unit test at 2009/03/08 17:32:04.  The previous test run was against the same revision (rev:ab3406e9752f (=)), so this looks intermittent.

Couldn't find any existing bugs covering this, and recent pushlog activity doesn't point to any changes that are obviously related.

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1236558724.1236562803.21635.gz
Comment 1 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2009-03-08 20:39:12 PDT
To be clear, the failure was that the test timed out:

*** 66066 ERROR TEST-UNEXPECTED-FAIL | /tests/layout/style/test/test_value_storage.html | Test timed out.


This is one of the longer-running tests in the test suite, not because it waits for stuff, but just because it has a lot of stuff to test and takes a bit of time.  If the VM is being really slow, I could imagine that causing it to time out, but my inclination is that this is a VM issue rather than a problem with the test.
Comment 2 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2009-03-08 20:40:21 PDT
I'd note:  I've been thinking we should probably make the reftest and mochitest output print how long each test takes so that we can get an idea of the variability of the times on the VMs.
Comment 3 cmtalbert 2009-03-09 07:08:59 PDT
(In reply to comment #2)
> I'd note:  I've been thinking we should probably make the reftest and mochitest
> output print how long each test takes so that we can get an idea of the
> variability of the times on the VMs.
I think that's a good idea.  Flagging this with the [orange] whiteboard mark for tracking.
Comment 4 David Bolter [:davidb] 2009-04-09 17:08:33 PDT
I got the same error just now on TryServer "Try linux hg unittest builder". (Outputting test duration sounds like a great idea)
Comment 5 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2009-04-09 17:32:34 PDT
Created attachment 371980 [details] [diff] [review]
make mochitest print time for each test

Not sure if tinderbox runs with --console-level=INFO or =DEBUG, though.
Comment 6 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2009-04-09 17:37:51 PDT
(In reply to comment #5)
> Not sure if tinderbox runs with --console-level=INFO or =DEBUG, though.

Looks like they run with INFO, so they don't get this output by default... need to either change its level or change the tinderboxes.
Comment 7 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2010-06-05 09:49:08 PDT
Created attachment 449459 [details] [diff] [review]
make mochitest print time for each test
[Checked in: Comment 8]

This will actually show up.  I think this could be useful since, for tests that are timing out, it will give us a sense whether the normal duration of the test is actually long.
Comment 8 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2010-06-08 18:59:22 PDT
http://hg.mozilla.org/mozilla-central/rev/1f7ffae6e51e
...now prints the amount of time for each test.
Comment 9 Serge Gautherie (:sgautherie) 2012-04-05 06:24:42 PDT
Reported only once in comment 0 and once in comment 4.
Nearly 2 years without new comments.

Let's call this R.Fixed, as there was a check-in.

***

https://tbpl.mozilla.org/php/getParsedLog.php?id=10661814&tree=Firefox&full=1
Rev3 Fedora 12 mozilla-central opt test mochitests-3/5 on 2012-04-05 02:56:37 PDT for push ac5721fa4acb
{
1196 INFO TEST-END | /tests/dom/tests/mochitest/ajax/jquery/test_jQuery.html | finished in 19624ms
}

V.Fixed

Note You need to log in before you can comment on or make changes to this bug.